Support » Plugin: Constant Contact WordPress Widget » [Plugin: Constant Contact WordPress Widget] Please select at least 1 list.

Viewing 5 replies - 1 through 5 (of 5 total)
  • we suddenly got this too after upgrading to WP 3.1. I noted that there was an update for the plugin as well but when I tried to activate it I got a critical error message for the Constant contact API.

    I’m wondering it the plugin is compatible with 3.1 or not.

    Barry

    (@barryamundson)

    Hi, we have been having this problem as well with the 2.01 version of the plugin – anyone signing up for the newsletter gets the “Please select 1 list.” message.

    I did upgrade to the 2.1.1 version of the plugin just now, and still, the same issue. We did not upgrade to 3.1 (we are at 3.04).

    Anyone find a way around this? Our site is at http://www.queenofthesun.com/

    b

    Barry

    (@barryamundson)

    Well, it started working now – our issue was specifically for the widget. I honestly am not sure if it started working due to something specific I did as I have been changing settings back and forth, or if something at Constant Contact changed, but it’s working now. In the widget we have “show list selection” unchecked, and the contact list we do want people signed up for checked.

    On the page based signup form I went ahead and implemented the custom signup form here rather than use the PHP in the page like above: http://developer.constantcontact.com/samples/custom_signup_forms

    I hope this helps at least a little for anyone having this “Please select 1 list.” problem.

    I get the same error and it just recently happened. I assume my client upgraded either the plugin or WordPress for this change to suddenly happen. I suppose I will try the custom sign up form instead of the php it says to use

    <?php
         $sbw = new constant_contact_api_widget();
         $sbw->widget();
    ?>

    I found a fix.

    I created a new widget area in my functions file and a new sidebar file (since my email sign up form is in the header of my website) for the header.php to call. I only put the constant contact widget in my new header widget area and it worked perfectly.

    Must be something buggy with just pulling it into the theme with the php snippet they give.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘[Plugin: Constant Contact WordPress Widget] Please select at least 1 list.’ is closed to new replies.